--- Service to login user via collaboration - assign user account to device without entering user extension and pass on the device side
--
-- @file    .lua
-- @author  Gennadiy Ganchev
-- @created 2017/12/12

--- @module byCollaboration
local byCollaboration = {}
----------------------------------------------------------------
-- Public interface
----------------------------------------------------------------
function byCollaboration.run(exten, choice)
	if "0" == exten then --logout
		ivr:tell("Deactivated")
		return require"stdService.login.setUser".run({},"0")
	elseif "1" == choice then --login
		ivr:tell("Activated")
		return require"stdService.login.setUser".run(exten,"1")
	else --pairing
		math.randomseed(os.time())
		local assignCode = math.random(1000,9999)
		smartApp("Answer")
		channel.ASSIGNCODE:set(assignCode)
		for i = 1, 3 do
			ivr:tell("To login please enter the password")
			smartApp("SayDigits", assignCode)
			require"socket".sleep(5)
		end
		return ivr:tell("Authentication failed, please try again")
	end
end

return byCollaboration